package com.qsoft.rs.sincoar.dto;

import java.io.Serializable;

public class TgeneratesgroupDTO implements Serializable {

    private static final long serialVersionUID = 210273335150865L;

    private Integer tgeneratesgroupPK;

    private Integer recordversion;

    private Integer maxterm;

    private Integer maxamount;

    private Integer margin;

    private String operator;

    private Integer tgenebalancetype;

    private Integer tgenebaserate;

    private Integer tgenecatalogdetail;

    private Integer tgenecompany;

        public Integer getTgeneratesgroupPK() {
    return tgeneratesgroupPK;
    }

        public void setTgeneratesgroupPK(Integer tgeneratesgroupPK) {
    this.tgeneratesgroupPK = tgeneratesgroupPK;
    }

        public Integer getRecordversion() {
    return recordversion;
    }

        public void setRecordversion(Integer recordversion) {
    this.recordversion = recordversion;
    }

        public Integer getMaxterm() {
    return maxterm;
    }

        public void setMaxterm(Integer maxterm) {
    this.maxterm = maxterm;
    }

        public Integer getMaxamount() {
    return maxamount;
    }

        public void setMaxamount(Integer maxamount) {
    this.maxamount = maxamount;
    }

        public Integer getMargin() {
    return margin;
    }

        public void setMargin(Integer margin) {
    this.margin = margin;
    }

        public String getOperator() {
    return operator;
    }

        public void setOperator(String operator) {
    this.operator = operator;
    }

        public Integer getTgenebalancetype() {
    return tgenebalancetype;
    }

        public void setTgenebalancetype(Integer tgenebalancetype) {
    this.tgenebalancetype = tgenebalancetype;
    }

        public Integer getTgenebaserate() {
    return tgenebaserate;
    }

        public void setTgenebaserate(Integer tgenebaserate) {
    this.tgenebaserate = tgenebaserate;
    }

        public Integer getTgenecatalogdetail() {
    return tgenecatalogdetail;
    }

        public void setTgenecatalogdetail(Integer tgenecatalogdetail) {
    this.tgenecatalogdetail = tgenecatalogdetail;
    }

        public Integer getTgenecompany() {
    return tgenecompany;
    }

        public void setTgenecompany(Integer tgenecompany) {
    this.tgenecompany = tgenecompany;
    }

}